%define name libsigc++
%define version 1.0.3
%define release 1mdk
%define prefix %{_prefix}
%define short_name sigc++
%define lib_name_orig libsigc++
%define lib_major 1.0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: Callback system for use in widget libraries, abstract interfaces, and general programming.
Version: %{version}
Release: %{release}
Copyright: LGPL
Source: ftp://download.sourceforge.net/pub/sourceforge/libsigc/%{name}-%{version}.tar.bz2
Url: http://libsigc.sourceforge.net/
Group: System/Libraries
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{name} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses %{name}.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: libsigc++

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C++
Obsoletes: libsigc++-devel
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package examples
Summary: Examples and tests for the Typesafe Signal Framework for C++ 
Group: Development/C++
Requires: %{name}-devel = %{version}

%description examples
The %{name}-devel package contains source code of example and test
programs for %{name}.

%prep
%setup -q
perl -pi -e 's|\${prefix}|%{prefix}|' README
perl -pi -e 's|PREFIX|%{prefix}|' doc/FAQ

%build
# (gc) temp removed. really useful?
#%ifarch alpha
#  ARCH_FLAGS="--host=alpha-redhat-linux"
#%endif

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
#install -d -m 755 $RPM_BUILD_ROOT%{prefix}/{{include,lib}/%{short_name}}
#make install INSTALL="%(which install) -p" prefix=$RPM_BUILD_ROOT%{prefix}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{short_name}
cp -a examples tests $RPM_BUILD_ROOT%{_libdir}/%{short_name}
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep relocatable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep executable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep 'shell script'|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type d -name .libs|xargs rm -rf

for i in $RPM_BUILD_ROOT%{_libdir}/%{short_name}/examples/Makefile $RPM_BUILD_ROOT%{_libdir}/%{short_name}/tests/*/Makefile; do
	rm -f $i.*
	cp -p scripts/tests.Makefile $i
done
for i in $RPM_BUILD_ROOT%{_libdir}/%{short_name}/tests/Makefile; do
	rm -f $i.*
	cp -p scripts/examples.Makefile $i
done

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog TODO IDEAS doc/*
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la

%files examples
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{short_name}/examples
%{_libdir}/%{short_name}/tests

%changelog
* Sat Feb 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- make provides qualifying version

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- Correct Obsoletes

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-2mdk
- fix descriptions

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- new lib policy

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- fix summaries and inter-dependency

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- recompile against newest libstdc++

* Tue Oct  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- fix spelling-error-in-description

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- macros

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0 (was released to accompany the release of gtkmm-1.2.0)

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-3mdk
- fixed wrong group for libsigc++-examples.

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-2mdk
- fix. now it does work with gtkmm.

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- oops the 0.8.6 release was out

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- mandrake build

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %{name}, %{name}-devel and %{name}-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
